[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TBufIndex.ScrollBackward

Moves to the prior record in the index

## Declaration

Source position: bufdataset.pas line 138

`public function TBufIndex.ScrollBackward: TGetResult; virtual; abstract;`

## Function result

Result for the scroll request

## Description

ScrollBackward is a TGetResult function used to scrolling to the previous record in the index order. ScrollBackward implements the behavior needed to support the TDataset.MoveBy method using the index order for the dataset.

ScrollBackward is an abstract virtual method method, and must be implemented in a descendent class. The return value is a TGetResult enumeration value that indicates the result for the scroll request.

## See also

TGetResult |  | result of the GetRecord operation.
TDataset.MoveBy |  | Move the cursor position